#ifndef CHANGCITYWIDGET_H
#define CHANGCITYWIDGET_H

#include <QWidget>
#include <QLabel>
#include <QPushButton>
#include <QHBoxLayout>
#include <QFont>
#include "global/corevar.h"

class ChangeCityWidget : public QWidget
{
    Q_OBJECT
public:
    explicit ChangeCityWidget(QWidget *parent = nullptr);
    void getCurrentInfor(CurrentWeather m_currentWeather);
    void isFullScreen(int);
    int m_judgeFullScreen;
    QPushButton *getChangeCityButton();
    QPushButton *getCollectCityButton();
    void changeCollectBtnIcon();

private:
    QLabel *m_curCity = nullptr; // 城市名称
    QPushButton *m_changeCityBtn = nullptr;  // 切换城市
    QPushButton *m_collectCityBtn = nullptr; // 收藏城市

    QHBoxLayout *m_hLayout = nullptr;      // 城市信息布局（横）

    QFont m_font;
    void initWidget();
    void initConnect();
    void initQss(int);
    void cityMoveItem(int);
    void resizeEvent(QResizeEvent *event);
    void slotClickCollectBtn();

    bool m_isCollect = false;


signals:
};


#endif 
